#### D.4.27.6 primdec

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  primdec(I); I ideal

Return:
  a list pr of primary ideals and their associated primes for a proper ideal I, otherwise pr = list( list( ideal(1), ideal(1) )

         pr[i][1]   the i-th primary component,
         pr[i][2]   the i-th prime component.

Note:
  wrapper for trying both: primdecGTZ and primdecSY

User manual for Singular version 4.4.1, 2025, generated by texi2html.